AnsweredAssumed Answered

Upgrade APM 9.0.0.0 to 9.1.5

Question asked by mukesh2293 on Jun 6, 2013
Latest reply on Jun 10, 2013 by Hiko_Davis
Hi,
We have upgraded APM 9.0.0.0 to 9.1.5 following the given below steps.

1. Took backup of postgres APMDB
2. Took backup of TIM config
3. Uninstalled existing posgres and deleted postgres user
4. Installed postgres Database of APM 9.1.5
5. Restored cemdb.backup to the new postgres installation
6. Upgraded Introscope Enterprise Manager and during upgradation, chose
existing database was selected. It also upgraded postgres schema

Now, after upgrade is complete, we can see "Database Connectivity lost"
in APM Console and also we can see the given below error when trying to
launch CEM console

"The database cannot be accessed. Check that the SQL server is running and
that it can be reached from the subnet in which CEM is running. To login,
select 'continue' when the database is accessible."

But when I looked at the postgres service, it is running and I am able to
connect to it with postgres console.

Kindly suggest how to resolve the issue. Also let me know if the steps taken
to upgrade APM was not proper or if something was missing.

Regards,
Mukesh Singh

Outcomes